aboutsummaryrefslogtreecommitdiff
path: root/net/kplex/files/kplex.init
diff options
context:
space:
mode:
Diffstat (limited to 'net/kplex/files/kplex.init')
-rw-r--r--net/kplex/files/kplex.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/net/kplex/files/kplex.init b/net/kplex/files/kplex.init
new file mode 100644
index 000000000..8e48041b0
--- /dev/null
+++ b/net/kplex/files/kplex.init
@@ -0,0 +1,19 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2015 OpenWrt.org
+
+START=99
+
+USE_PROCD=1
+PROG=/usr/bin/kplex
+
+CONF_FILE=/etc/kplex.conf
+
+start_service() {
+ [ -e "$CONF_FILE" ] || return 1
+
+ procd_open_instance
+ procd_set_param command "$PROG" -f "$CONF_FILE"
+ procd_set_param respawn
+ procd_set_param file "$CONF_FILE"
+ procd_close_instance
+}